%define pkgname totem-pl-parser

Name:    lib%pkgname
License: GPL
URL:     http://www.hadess.net/%pkgname.php3

Version: 2.22.3
Release: alt1.M41.1

Source: %pkgname-%version.tar.bz2

BuildPreReq: iso-codes-devel intltool

# Automatically added by buildreq on Tue Mar 11 2008
BuildRequires: gcc-c++ gcc-fortran gtk-doc libhal-devel libstdc++-devel-static perl-XML-Parser
BuildRequires: glib2-devel libgtk+2-devel libxml2-devel gnome-vfs-devel evolution-data-server-devel

Summary: Shared libraries of the Totem media player play list parser
Group: System/Libraries
Provides: libtotem = %version
Conflicts: libtotem-xine
Conflicts: libtotem-gstreamer
BuildRequires: rpm-build-compat >= 0.95

%description
Shared libraries that come with the Totem media player.

%package devel
Summary: Development files for Totem media player play list parser
Group: Development/C
Requires: %name = %version
Provides: libtotem-devel = %version
Conflicts: libtotem-xine-devel
Conflicts: libtotem-gstreamer-devel
%description devel
Totem is simple movie player for the Gnome desktop based on Xine.
This package provides files needed to build applications using Totem
libraries.

%prep
%setup -q -n %pkgname-%version

%build
%define _libexecdir %_libdir/%name
%configure \
	--disable-static \
	--disable-dependency-tracking \
	--enable-gtk-doc

%make_build

%install
%makeinstall

%find_lang --with-gnome --output=%name.lang %pkgname %pkgname-2.0

%post   -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_libdir/*.so.*

%files -n %name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%changelog
* Tue Aug 12 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt1.M41.1
- backport to ALTLinux 4.1

* Wed May 28 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.3-alt2
- Add conflicts with libtotem-xine and libtotem-gstreamer

* Fri May 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.3-alt1
- 2.22.3

* Wed Apr 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.2-alt1
- 2.22.2

* Tue Mar 11 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.1-alt1
- 2.22.1
